| Version: 3.3.1

Public Member Functions | List of all members
wxIPV4address Class Reference
Class List by Category » Networking

`#include <wx/socket.h>`

Inheritance diagram for wxIPV4address:
[legend]

## Detailed Description

A class for working with IPv4 network addresses.

##

Library: wxNet
Category: Networking

## Public Member Functions
bool | AnyAddress ()
| Set address to any of the addresses of the current machine. More...
bool | Hostname (const wxString &hostname)
| Set the address to hostname, which can be a host name, an IP-style address in dot notation(`a.b.c.d`) or a 32-bit representation of the address as the number. More...
bool | Hostname (unsigned long addr)
virtual wxString | Hostname () const
| Returns the hostname which matches the IP address. More...
virtual wxString | IPAddress () const
| Returns a wxString containing the IP address in dot quad (127.0.0.1) format. More...
bool | LocalHost ()
| Set address to localhost (127.0.0.1). More...
bool | Service (const wxString &service)
| Set the port to that corresponding to the specified service. More...
bool | Service (unsigned short service)
| Set the port to that corresponding to the specified service. More...
unsigned short | Service () const
| Returns the current service. More...
Public Member Functions inherited from wxIPaddress
bool | AnyAddress ()
| Internally, this is the same as setting the IP address to INADDR_ANY. More...
virtual bool | BroadcastAddress ()=0
| Internally, this is the same as setting the IP address to INADDR_BROADCAST. More...
bool | Hostname (const wxString &hostname)
| Set the address to hostname, which can be a host name or an IP-style address in a format dependent on implementation. More...
wxString | Hostname () const
| Returns the hostname which matches the IP address. More...
virtual bool | IsLocalHost () const =0
| Determines if current address is set to localhost. More...
bool | LocalHost ()
| Set address to localhost. More...
bool | Service (const wxString &service)
| Set the port to that corresponding to the specified service. More...
bool | Service (unsigned short service)
| Set the port to that corresponding to the specified service. More...
unsigned short | Service () const
| Returns the current service. More...
Public Member Functions inherited from wxSockAddress
| wxSockAddress ()
| Default constructor. More...
virtual | ~wxSockAddress ()
| Default destructor. More...
virtual void | Clear ()
| Delete all information about the address. More...
int | SockAddrLen ()
| Returns the length of the socket address. More...
const sockaddr * | GetAddressData () const
| Returns the pointer to the low-level representation of the address. More...
int | GetAddressDataLen () const
| Returns the length of the buffer retrieved by GetAddressData(). More...
Public Member Functions inherited from wxObject
| wxObject ()
| Default ctor; initializes to nullptr the internal reference data. More...
| wxObject (const wxObject &other)
| Copy ctor. More...
virtual | ~wxObject ()
| Destructor. More...
virtual wxClassInfo * | GetClassInfo () const
| This virtual function is redefined for every class that requires run-time type information, when using the wxDECLARE_CLASS macro (or similar). More...
wxObjectRefData * | GetRefData () const
| Returns the wxObject::m_refData pointer, i.e. the data referenced by this object. More...
bool | IsKindOf (const wxClassInfo *info) const
| Determines whether this class is a subclass of (or the same class as) the given class. More...
bool | IsSameAs (const wxObject &obj) const
| Returns true if this object has the same data pointer as obj. More...
void | Ref (const wxObject &clone)
| Makes this object refer to the data in clone. More...
void | SetRefData (wxObjectRefData *data)
| Sets the wxObject::m_refData pointer. More...
void | UnRef ()
| Decrements the reference count in the associated data, and if it is zero, deletes the data. More...
void | UnShare ()
| This is the same of AllocExclusive() but this method is public. More...
void | operator delete (void *buf)
| The delete operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...
void * | operator new (size_t size, const wxString &filename=nullptr, int lineNum=0)
| The new operator is defined for debugging versions of the library only, when the identifier `__WXDEBUG__` is defined. More...

## Additional Inherited Members
Protected Member Functions inherited from wxObject
void | AllocExclusive ()
| Ensure that this object's data is not shared with any other object. More...
virtual wxObjectRefData * | CreateRefData () const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and returns it. More...
virtual wxObjectRefData * | CloneRefData (const wxObjectRefData *data) const
| Creates a new instance of the wxObjectRefData-derived class specific to this object and initializes it copying data. More...
Protected Attributes inherited from wxObject
wxObjectRefData * | m_refData
| Pointer to an object which is the object's reference-counted data. More...

## Member Function Documentation

## ◆ AnyAddress()

bool wxIPV4address::AnyAddress | ( |  | ) |

Set address to any of the addresses of the current machine.

Whenever possible, use this function instead of LocalHost(), as this correctly handles multi-homed hosts and avoids other small problems. Internally, this is the same as setting the IP address to INADDR_ANY.

Returns
  true on success, false if something went wrong.

## ◆ Hostname() [1/3]

virtual wxString wxIPV4address::Hostname | ( |  | ) | const
| virtual

Returns the hostname which matches the IP address.

## ◆ Hostname() [2/3]

bool wxIPV4address::Hostname | ( | const wxString & | hostname | ) |

Set the address to hostname, which can be a host name, an IP-style address in dot notation(`a.b.c.d`) or a 32-bit representation of the address as the number.

Returns
  true on success, false if something goes wrong (invalid hostname or invalid IP address).

## ◆ Hostname() [3/3]

bool wxIPV4address::Hostname | ( | unsigned long | addr | ) |

## ◆ IPAddress()

virtual wxString wxIPV4address::IPAddress | ( |  | ) | const
| virtual

Returns a wxString containing the IP address in dot quad (127.0.0.1) format.

Implements wxIPaddress.

## ◆ LocalHost()

bool wxIPV4address::LocalHost | ( |  | ) |

Set address to localhost (127.0.0.1).

Whenever possible, use AnyAddress() instead of this one, as that one will correctly handle multi-homed hosts and avoid other small problems.

Returns
  true on success, false if something went wrong.

## ◆ Service() [1/3]

unsigned short wxIPV4address::Service | ( |  | ) | const

Returns the current service.

## ◆ Service() [2/3]

bool wxIPV4address::Service | ( | const wxString & | service | ) |

Set the port to that corresponding to the specified service.

Returns
  true on success, false if something goes wrong (invalid service).

## ◆ Service() [3/3]

bool wxIPV4address::Service | ( | unsigned short | service | ) |

Set the port to that corresponding to the specified service.

Returns
  true on success, false if something goes wrong (invalid service).